
Application: gvSIG desktop - gvSIG bugs #4261
ImportError: No module named commonsdialog in validate_layer.py
07/03/2016 11:53 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.3.0-2437
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2434 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

After the recent Scripting code refactoring, the validate_layer.py is not executed due to an ImportError: No module named
commonsdialog. Now it should be:

import gvsig.commonsdialog

instead of:

import commonsdialog

Associated revisions
Revision 42871 - 07/04/2016 07:21 PM - Joaquín  del Cerro Murciano

refs  #4261 fix import of commonsdialog

History
#1 - 07/04/2016 07:21 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2437
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 07/04/2016 07:35 PM - Joaquín  del Cerro Murciano
- File library-version.png added

Hola Antonio.
En la ultima version de scripting han habido varios cambios importantes en algunas partes de las librerias de scripting. Salvo error, como el que has
reportado, hemos actualizado los scripts que van con gvSIG. De todos modos, para que los usuario que tienen scripts hechos con gvSIG 2.2.0 no
tengan que actualizar sus scripts hemos incluido una opcion en la pestaña de propiedades del script, junto a la pestaña de codigo. Esta opcion
permite indicar si queremos trabajar con la ultima version de las librerias de scripting o con la version de estas que llevaba gvSIG 2.2.0. Te lo comento
por si te puede ser de utilidad. En cuanto este lista la RC2 veremos de publicar un post comentando los cambios.
Gracias por tus aportes.
#3 - 07/05/2016 10:08 AM - Antonio Falciano

Hi Joaquín,
this is a very useful feature, thank you very much!

#4 - 07/22/2016 12:17 PM - Antonio Falciano
- Status changed from Fixed to Closed
